Bug 311521 - verification very very broken
verification very very broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 14:50 EDT by Bill Nottingham
Modified: 2014-03-16 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:17:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-09-28 14:50:38 EDT
Description of problem:

[root@nostromo ~]# rpm -V util-linux-ng
.......T c /etc/pam.d/chfn
.......T c /etc/pam.d/chsh
.......T c /etc/pam.d/login
.......T c /etc/pam.d/remote
.......T d /usr/share/man/man8/isosize.8.gz
.......T d /usr/share/man/man8/nologin.8.gz
.......T d /usr/share/man/man8/swapoff.8.gz
.......T d /usr/share/man/man8/vigr.8.gz
[root@nostromo ~]# rpm -ql util-linux-ng | while read foo ; do [ -f $foo ] ||
echo $foo is missing ; done
/bin/arch is missing
/bin/dmesg is missing
/bin/kill is missing
/bin/login is missing
/bin/more is missing
/bin/mount is missing
/bin/taskset is missing
/bin/umount is missing
/sbin/addpart is missing
/sbin/agetty is missing
/sbin/blockdev is missing
/sbin/clock is missing
/sbin/ctrlaltdel is missing
/sbin/delpart is missing
/sbin/fdisk is missing
/sbin/fsck.cramfs is missing
/sbin/hwclock is missing
/sbin/losetup is missing
/sbin/mkfs is missing
/sbin/mkfs.cramfs is missing
/sbin/mkswap is missing
/sbin/nologin is missing
/sbin/partx is missing
/sbin/pivot_root is missing
/sbin/sfdisk is missing
/sbin/swapoff is missing
/sbin/swapon is missing
/usr/bin/cal is missing
/usr/bin/chfn is missing
/usr/bin/chrt is missing
/usr/bin/chsh is missing
/usr/bin/col is missing
/usr/bin/colcrt is missing
/usr/bin/colrm is missing
/usr/bin/column is missing
/usr/bin/ddate is missing
/usr/bin/fdformat is missing
/usr/bin/flock is missing
/usr/bin/floppy is missing
/usr/bin/getopt is missing
/usr/bin/hexdump is missing
/usr/bin/ionice is missing
/usr/bin/ipcrm is missing
/usr/bin/ipcs is missing
/usr/bin/isosize is missing
/usr/bin/kill is missing
/usr/bin/logger is missing
/usr/bin/look is missing
/usr/bin/mcookie is missing
/usr/bin/namei is missing
/usr/bin/rename is missing
/usr/bin/renice is missing
/usr/bin/rev is missing
/usr/bin/script is missing
/usr/bin/setsid is missing
/usr/bin/setterm is missing
/usr/bin/tailf is missing
/usr/bin/ul is missing
/usr/bin/whereis is missing
/usr/bin/write is missing
/usr/sbin/hwclock is missing
/usr/sbin/readprofile is missing
/usr/sbin/tunelp is missing
/usr/sbin/vigr is missing
/usr/sbin/vipw is missing
/usr/share/doc/util-linux-ng-2.13 is missing
/usr/share/info/ipc.info.gz is missing
/usr/share/man/man1/arch.1.gz is missing
/usr/share/man/man1/cal.1.gz is missing
/usr/share/man/man1/chfn.1.gz is missing
/usr/share/man/man1/chrt.1.gz is missing
/usr/share/man/man1/chsh.1.gz is missing
/usr/share/man/man1/col.1.gz is missing
/usr/share/man/man1/colcrt.1.gz is missing
/usr/share/man/man1/colrm.1.gz is missing
/usr/share/man/man1/column.1.gz is missing
/usr/share/man/man1/ddate.1.gz is missing
/usr/share/man/man1/flock.1.gz is missing
/usr/share/man/man1/getopt.1.gz is missing
/usr/share/man/man1/hexdump.1.gz is missing
/usr/share/man/man1/ionice.1.gz is missing
/usr/share/man/man1/kill.1.gz is missing
/usr/share/man/man1/logger.1.gz is missing
/usr/share/man/man1/login.1.gz is missing
/usr/share/man/man1/look.1.gz is missing
/usr/share/man/man1/mcookie.1.gz is missing
/usr/share/man/man1/more.1.gz is missing
/usr/share/man/man1/namei.1.gz is missing
/usr/share/man/man1/readprofile.1.gz is missing
/usr/share/man/man1/rename.1.gz is missing
/usr/share/man/man1/rev.1.gz is missing
/usr/share/man/man1/script.1.gz is missing
/usr/share/man/man1/setterm.1.gz is missing
/usr/share/man/man1/tailf.1.gz is missing
/usr/share/man/man1/taskset.1.gz is missing
/usr/share/man/man1/ul.1.gz is missing
/usr/share/man/man1/whereis.1.gz is missing
/usr/share/man/man1/write.1.gz is missing
/usr/share/man/man5/fstab.5.gz is missing
/usr/share/man/man8/addpart.8.gz is missing
/usr/share/man/man8/agetty.8.gz is missing
/usr/share/man/man8/blockdev.8.gz is missing
/usr/share/man/man8/ctrlaltdel.8.gz is missing
/usr/share/man/man8/delpart.8.gz is missing
/usr/share/man/man8/fdformat.8.gz is missing
/usr/share/man/man8/fdisk.8.gz is missing
/usr/share/man/man8/floppy.8.gz is missing
/usr/share/man/man8/hwclock.8.gz is missing
/usr/share/man/man8/losetup.8.gz is missing
/usr/share/man/man8/mkfs.8.gz is missing
/usr/share/man/man8/mkswap.8.gz is missing
/usr/share/man/man8/mount.8.gz is missing
/usr/share/man/man8/partx.8.gz is missing
/usr/share/man/man8/pivot_root.8.gz is missing
/usr/share/man/man8/sfdisk.8.gz is missing
/usr/share/man/man8/swapon.8.gz is missing
/usr/share/man/man8/tunelp.8.gz is missing
/usr/share/man/man8/umount.8.gz is missing
/usr/share/man/man8/vipw.8.gz is missing
[root@nostromo ~]# 

(And yes, the files are very much missing. Not sure how that happened...)

Version-Release number of selected component (if applicable):

rpm-4.4.2.2-0.5.rc2
Comment 1 Panu Matilainen 2007-10-01 02:33:40 EDT
What does "rpm -q --state util-linux-ng" say?

I think you're hitting one of these cases:
    /*
     * Check to see if the file was installed - if not pretend all is OK.
     */
    switch (rpmfiFState(fi)) {
    case RPMFILE_STATE_NETSHARED:
    case RPMFILE_STATE_REPLACED:
    case RPMFILE_STATE_NOTINSTALLED:
    case RPMFILE_STATE_WRONGCOLOR:
        return 0;

In other words, if rpm's recorded "state" says the file is not installed, is of
wrong color, netshared or replaced, it wont attempt verifying it at all. Which
could lead to situation like this...
Comment 2 Bill Nottingham 2007-10-01 15:50:46 EDT
It's all normal now, as I needed to reinstall the package to have the system
working.

What I *suspect* happened is that there was (via some brokenness) both
util-linux and util-linux-ng installed, and then util-linux got removed.
Comment 3 Bug Zapper 2008-04-04 09:57:00 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-11-26 02:52:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:17:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.